#!/bin/sh
#
# Copyright (c) 2026 neoche contributors
# This program and the accompanying materials are made
# available under the terms of the Eclipse Public License 2.0
# which is available at https://www.eclipse.org/legal/epl-2.0/
#
# SPDX-License-Identifier: EPL-2.0
#

set -e

export USER_ID=$(id -u)
export GROUP_ID=$(id -g)

ldd_output=$(ldd /bin/ls 2>/dev/null || true)
case "$ldd_output" in
  *musl*)
    NVIM_DIR=/neovim-linux-musl
    export LD_LIBRARY_PATH="${NVIM_DIR}/lib${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
    ;;
  *)
    NVIM_DIR=/neovim-linux-libc
    ;;
esac

export PATH="${NVIM_DIR}/bin:${PATH}"
export TERM=xterm-256color

if [ -n "$NVIM_DISTRO" ]; then
  /bootstrap-distro.sh
fi

cd "${PROJECT_SOURCE:-/projects}"

exec /neovim-bin/ttyd -W -p 7681 -t fontSize=14 -t fontFamily="monospace" nvim .
